Translate Video
curl --request POST \
--url https://api.jogg.ai/v2/video_translate/ \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"video_url": "https://res.jogg.ai/video.mp4",
"output_language": "spanish",
"title": "Translated Video Title",
"translate_audio_only": false,
"output_voice": "es-ES-ElviraNeural",
"add_subtitles": true,
"enable_dynamic_duration": false,
"callback_url": "https://example.com/callback"
}
'import requests
url = "https://api.jogg.ai/v2/video_translate/"
payload = {
"video_url": "https://res.jogg.ai/video.mp4",
"output_language": "spanish",
"title": "Translated Video Title",
"translate_audio_only": False,
"output_voice": "es-ES-ElviraNeural",
"add_subtitles": True,
"enable_dynamic_duration": False,
"callback_url": "https://example.com/callback"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
video_url: 'https://res.jogg.ai/video.mp4',
output_language: 'spanish',
title: 'Translated Video Title',
translate_audio_only: false,
output_voice: 'es-ES-ElviraNeural',
add_subtitles: true,
enable_dynamic_duration: false,
callback_url: 'https://example.com/callback'
})
};
fetch('https://api.jogg.ai/v2/video_translate/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": 0,
"msg": "Success",
"data": {
"video_translate_id": "vt_123456"
}
}Video
Translate Video
Create a video translation task with specified parameters including target language, voice, and subtitle options.
POST
/
v2
/
video_translate
/
Translate Video
Translate an existing video into another language with voiceover and subtitles.
Video Duration Limit: Videos must be between 0-3 minutes in length.
Example Usage
curl -X POST 'https://api.jogg.ai/v2/video_translate/' \
-H 'x-api-key: YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{
"video_url": "https://example.com/original.mp4",
"target_language": "es",
"voice_id": "es-ES-AlvaroNeural",
"enable_subtitles": true
}'
Related Guides
Video Translation Guide
Learn about video translation workflow
Get Target Languages
See supported languages
Authorizations
API key for authentication. Obtain your key from the JoggAI dashboard.
Body
application/json
URL of the video to translate
Example:
"https://res.jogg.ai/video.mp4"
Target language for translation
Example:
"spanish"
Title for the translated video
Example:
"Translated Video Title"
Translate audio only without lip sync
Example:
false
Voice ID for dubbed audio
Example:
"es-ES-ElviraNeural"
Enable translated subtitles
Example:
true
Enable dynamic duration adjustment
Example:
false
Callback URL for status notifications
Example:
"https://example.com/callback"
Response
200 - application/json
Success
Business status code:
- 0 - Success
- 10104 - Record not found
- 10105 - Invalid API key
- 18020 - Insufficient credit
- 18025 - No permission to call APIs
- 40000 - Parameter error
- 50000 - System error
Example:
0
Response message
Example:
"Success"
Show child attributes
Show child attributes
⌘I

